<?php

$fitness_supplement_store_tp_theme_css = '';
$fitness_supplement_store_tp_color_option = get_theme_mod('fitness_supplement_store_tp_color_option');

// 1st color
$fitness_supplement_store_tp_color_option = get_theme_mod('fitness_supplement_store_tp_color_option', '#f65000');
if ($fitness_supplement_store_tp_color_option) {
	$fitness_supplement_store_tp_theme_css .= ':root {';
	$fitness_supplement_store_tp_theme_css .= '--color-primary1: ' . esc_attr($fitness_supplement_store_tp_color_option) . ';';
	$fitness_supplement_store_tp_theme_css .= '}';
}

//preloader

$fitness_supplement_store_tp_preloader_color1_option = get_theme_mod('fitness_supplement_store_tp_preloader_color1_option');
$fitness_supplement_store_tp_preloader_color2_option = get_theme_mod('fitness_supplement_store_tp_preloader_color2_option');
$fitness_supplement_store_tp_preloader_bg_color_option = get_theme_mod('fitness_supplement_store_tp_preloader_bg_color_option');

if($fitness_supplement_store_tp_preloader_color1_option != false){
$fitness_supplement_store_tp_theme_css .='.center1{';
	$fitness_supplement_store_tp_theme_css .='border-color: '.esc_attr($fitness_supplement_store_tp_preloader_color1_option).' !important;';
$fitness_supplement_store_tp_theme_css .='}';
}
if($fitness_supplement_store_tp_preloader_color1_option != false){
$fitness_supplement_store_tp_theme_css .='.center1 .ring::before{';
	$fitness_supplement_store_tp_theme_css .='background: '.esc_attr($fitness_supplement_store_tp_preloader_color1_option).' !important;';
$fitness_supplement_store_tp_theme_css .='}';
}
if($fitness_supplement_store_tp_preloader_color2_option != false){
$fitness_supplement_store_tp_theme_css .='.center2{';
	$fitness_supplement_store_tp_theme_css .='border-color: '.esc_attr($fitness_supplement_store_tp_preloader_color2_option).' !important;';
$fitness_supplement_store_tp_theme_css .='}';
}
if($fitness_supplement_store_tp_preloader_color2_option != false){
$fitness_supplement_store_tp_theme_css .='.center2 .ring::before{';
	$fitness_supplement_store_tp_theme_css .='background: '.esc_attr($fitness_supplement_store_tp_preloader_color2_option).' !important;';
$fitness_supplement_store_tp_theme_css .='}';
}
if($fitness_supplement_store_tp_preloader_bg_color_option != false){
$fitness_supplement_store_tp_theme_css .='.loader{';
	$fitness_supplement_store_tp_theme_css .='background: '.esc_attr($fitness_supplement_store_tp_preloader_bg_color_option).';';
$fitness_supplement_store_tp_theme_css .='}';
}

// footer-bg-color
$fitness_supplement_store_tp_footer_bg_color_option = get_theme_mod('fitness_supplement_store_tp_footer_bg_color_option');

if($fitness_supplement_store_tp_footer_bg_color_option != false){
$fitness_supplement_store_tp_theme_css .='#footer{';
	$fitness_supplement_store_tp_theme_css .='background: '.esc_attr($fitness_supplement_store_tp_footer_bg_color_option).' !important;';
$fitness_supplement_store_tp_theme_css .='}';
}

// logo tagline color
$fitness_supplement_store_site_tagline_color = get_theme_mod('fitness_supplement_store_site_tagline_color');

if($fitness_supplement_store_site_tagline_color != false){
$fitness_supplement_store_tp_theme_css .='.logo h1 a, .logo p a{';
$fitness_supplement_store_tp_theme_css .='color: '.esc_attr($fitness_supplement_store_site_tagline_color).';';
$fitness_supplement_store_tp_theme_css .='}';
}

$fitness_supplement_store_logo_tagline_color = get_theme_mod('fitness_supplement_store_logo_tagline_color');
if($fitness_supplement_store_logo_tagline_color != false){
$fitness_supplement_store_tp_theme_css .='p.site-description{';
$fitness_supplement_store_tp_theme_css .='color: '.esc_attr($fitness_supplement_store_logo_tagline_color).';';
$fitness_supplement_store_tp_theme_css .='}';
}

// footer widget title color
$fitness_supplement_store_footer_widget_title_color = get_theme_mod('fitness_supplement_store_footer_widget_title_color');
if($fitness_supplement_store_footer_widget_title_color != false){
$fitness_supplement_store_tp_theme_css .='#footer h3, #footer h2.wp-block-heading{';
$fitness_supplement_store_tp_theme_css .='color: '.esc_attr($fitness_supplement_store_footer_widget_title_color).';';
$fitness_supplement_store_tp_theme_css .='}';
}

// copyright text color
$fitness_supplement_store_footer_copyright_text_color = get_theme_mod('fitness_supplement_store_footer_copyright_text_color');
if($fitness_supplement_store_footer_copyright_text_color != false){
$fitness_supplement_store_tp_theme_css .='#footer .site-info p, #footer .site-info a {';
$fitness_supplement_store_tp_theme_css .='color: '.esc_attr($fitness_supplement_store_footer_copyright_text_color).';';
$fitness_supplement_store_tp_theme_css .='}';
}

// header image title color
$fitness_supplement_store_header_image_title_text_color = get_theme_mod('fitness_supplement_store_header_image_title_text_color');
if($fitness_supplement_store_header_image_title_text_color != false){
$fitness_supplement_store_tp_theme_css .='.box-text h2{';
$fitness_supplement_store_tp_theme_css .='color: '.esc_attr($fitness_supplement_store_header_image_title_text_color).';';
$fitness_supplement_store_tp_theme_css .='}';
}

// menu color
$fitness_supplement_store_menu_color = get_theme_mod('fitness_supplement_store_menu_color');
if($fitness_supplement_store_menu_color != false){
$fitness_supplement_store_tp_theme_css .='.main-navigation a{';
$fitness_supplement_store_tp_theme_css .='color: '.esc_attr($fitness_supplement_store_menu_color).';';
$fitness_supplement_store_tp_theme_css .='}';
}


//Footer Font Weight
$fitness_supplement_store_footer_copyright_title_font_weight = get_theme_mod( 'fitness_supplement_store_footer_copyright_title_font_weight','');
if($fitness_supplement_store_footer_copyright_title_font_weight == '100'){
$fitness_supplement_store_tp_theme_css .='#footer .site-info p {';
    $fitness_supplement_store_tp_theme_css .='font-weight: 100;';
$fitness_supplement_store_tp_theme_css .='}';
}else if($fitness_supplement_store_footer_copyright_title_font_weight == '200'){
$fitness_supplement_store_tp_theme_css .='#footer .site-info p {';
    $fitness_supplement_store_tp_theme_css .='font-weight: 200;';
$fitness_supplement_store_tp_theme_css .='}';
}else if($fitness_supplement_store_footer_copyright_title_font_weight == '300'){
$fitness_supplement_store_tp_theme_css .='#footer .site-info p {';
    $fitness_supplement_store_tp_theme_css .='font-weight: 300;';
$fitness_supplement_store_tp_theme_css .='}';
}else if($fitness_supplement_store_footer_copyright_title_font_weight == '400'){
$fitness_supplement_store_tp_theme_css .='#footer .site-info p {';
    $fitness_supplement_store_tp_theme_css .='font-weight: 400;';
$fitness_supplement_store_tp_theme_css .='}';
}else if($fitness_supplement_store_footer_copyright_title_font_weight == '500'){
$fitness_supplement_store_tp_theme_css .='#footer .site-info p {';
    $fitness_supplement_store_tp_theme_css .='font-weight: 500;';
$fitness_supplement_store_tp_theme_css .='}';
}else if($fitness_supplement_store_footer_copyright_title_font_weight == '600'){
$fitness_supplement_store_tp_theme_css .='#footer .site-info p {';
    $fitness_supplement_store_tp_theme_css .='font-weight: 600;';
$fitness_supplement_store_tp_theme_css .='}';
}else if($fitness_supplement_store_footer_copyright_title_font_weight == '700'){
$fitness_supplement_store_tp_theme_css .='#footer .site-info p {';
    $fitness_supplement_store_tp_theme_css .='font-weight: 700;';
$fitness_supplement_store_tp_theme_css .='}';
}else if($fitness_supplement_store_footer_copyright_title_font_weight == '800'){
$fitness_supplement_store_tp_theme_css .='#footer .site-info p {';
    $fitness_supplement_store_tp_theme_css .='font-weight: 800;';
$fitness_supplement_store_tp_theme_css .='}';
}else if($fitness_supplement_store_footer_copyright_title_font_weight == '900'){
$fitness_supplement_store_tp_theme_css .='#footer .site-info p {';
    $fitness_supplement_store_tp_theme_css .='font-weight: 900;';
$fitness_supplement_store_tp_theme_css .='}';
}